diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-reception-test.cc ns-3.44/src/wifi/test/wifi-phy-reception-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-reception-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-reception-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -825,18 +826,18 @@
 
     /**
      * Spectrum wifi receive success function
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccess(Ptr<const WifiPsdu> psdu,
                    RxSignalInfo rxSignalInfo,
-                   WifiTxVector txVector,
-                   std::vector<bool> statusPerMpdu);
+                   const WifiTxVector& txVector,
+                   const std::vector<bool>& statusPerMpdu);
     /**
      * Spectrum wifi receive failure function
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void RxFailure(Ptr<const WifiPsdu> psdu);
     uint32_t m_countRxSuccess{0}; ///< count RX success
@@ -847,8 +848,8 @@
 
     /**
      * Check the number of received packets
-     * \param expectedSuccessCount the number of successfully received packets
-     * \param expectedFailureCount the number of unsuccessfuly received packets
+     * @param expectedSuccessCount the number of successfully received packets
+     * @param expectedFailureCount the number of unsuccessfuly received packets
      */
     void CheckRxPacketCount(uint32_t expectedSuccessCount, uint32_t expectedFailureCount);
 };
@@ -874,8 +875,8 @@
 void
 TestThresholdPreambleDetectionWithFrameCapture::RxSuccess(Ptr<const WifiPsdu> psdu,
                                                           RxSignalInfo rxSignalInfo,
-                                                          WifiTxVector txVector,
-                                                          std::vector<bool> statusPerMpdu)
+                                                          const WifiTxVector& txVector,
+                                                          const std::vector<bool>& statusPerMpdu)
 {
     NS_LOG_FUNCTION(this << *psdu << txVector);
     m_countRxSuccess++;
@@ -919,13 +920,13 @@
     m_phy->AssignStreams(streamNumber);
 
     // RX power > CCA-ED > CCA-PD
-    dBm_u rxPower = -50;
+    dBm_u rxPower{-50};
 
     // CASE 1: send one packet and check PHY state:
     // All reception stages should succeed and PHY state should be RX for the duration of the packet
     // minus the time to detect the preamble, otherwise it should be IDLE.
 
-    Simulator::Schedule(Seconds(1.0),
+    Simulator::Schedule(Seconds(1),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
@@ -933,30 +934,30 @@
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to IDLE at time 152.8us
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -973,13 +974,13 @@
     // CCA-ED (-62 dBm). CCA_BUSY state should last for the duration of the two packets minus the
     // time to detect the preamble.
 
-    Simulator::Schedule(Seconds(2.0),
+    Simulator::Schedule(Seconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
@@ -987,21 +988,21 @@
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 + 2
     // = 154.8us
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(154799),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(154799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(154800),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(154800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1019,35 +1020,35 @@
     // CCA-ED (-62 dBm). CCA_BUSY state should last for the duration of the two packets minus the
     // time to detect the preamble.
 
-    Simulator::Schedule(Seconds(3.0),
+    Simulator::Schedule(Seconds(3),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(3.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(3) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower - 3,
+                        rxPower - dB_u{3},
                         1000,
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 + 2
     // = 154.8us
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(154799),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(154799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(154800),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(154800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1064,54 +1065,54 @@
     // is higher than the threshold of 4 dB), but payload reception should fail (SNR too low to
     // decode the modulation).
 
-    Simulator::Schedule(Seconds(4.0),
+    Simulator::Schedule(Seconds(4),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(4.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(4) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower - 6,
+                        rxPower - dB_u{6},
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to IDLE at time 152.8us.
     // However, since there is a second packet transmitted with a power above CCA-ED (-62 dBm), PHY
     // should first be seen as CCA_BUSY for 2us.
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(154799),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(154799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(154800),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(154800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1128,39 +1129,39 @@
     // lower than the threshold of 4 dB), PHY state should be CCA_BUSY since the total energy is
     // above CCA-ED (-62 dBm).
 
-    Simulator::Schedule(Seconds(5.0),
+    Simulator::Schedule(Seconds(5),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(5.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(5) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(3.0),
+                        rxPower + dB_u{3.0},
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
-    Simulator::Schedule(Seconds(5.0) + MicroSeconds(4.0),
+    Simulator::Schedule(Seconds(5) + MicroSeconds(4),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
     // At 6us, STA PHY STATE should move from IDLE to CCA_BUSY
-    Simulator::Schedule(Seconds(5.0) + NanoSeconds(5999),
+    Simulator::Schedule(Seconds(5) + NanoSeconds(5999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(5.0) + NanoSeconds(6000),
+    Simulator::Schedule(Seconds(5) + NanoSeconds(6000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 + 2
     // = 154.8us
-    Simulator::Schedule(Seconds(5.0) + NanoSeconds(154799),
+    Simulator::Schedule(Seconds(5) + NanoSeconds(154799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(5.0) + NanoSeconds(154800),
+    Simulator::Schedule(Seconds(5) + NanoSeconds(154800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1178,50 +1179,50 @@
     // which is higher than the threshold of 4 dB), Payload reception should fail (SNR too low to
     // decode the modulation).
 
-    Simulator::Schedule(Seconds(6.0),
+    Simulator::Schedule(Seconds(6),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(6.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(6) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
-    Simulator::Schedule(Seconds(6.0) + MicroSeconds(4.0),
+    Simulator::Schedule(Seconds(6) + MicroSeconds(4),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
     // At 6us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(5999),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(5999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(6000),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(6000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 46us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(45999),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(45999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(46000),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(46000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 + 2
     // = 154.8us
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(154799),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(154799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(154800),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(154800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1238,13 +1239,13 @@
     // CCA-ED (-62 dBm). CCA_BUSY state should last for the duration of the two packets minus the
     // time to detect the preamble.
 
-    Simulator::Schedule(Seconds(7.0),
+    Simulator::Schedule(Seconds(7),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(7.0),
+    Simulator::Schedule(Seconds(7),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
@@ -1252,21 +1253,21 @@
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(7.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(7) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(7.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(7) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 + 2
     // = 154.8us
-    Simulator::Schedule(Seconds(7.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(7) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(7.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(7) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1284,34 +1285,34 @@
     // CCA-ED (-62 dBm). CCA_BUSY state should last for the duration of the two packets minus the
     // time to detect the preamble.
 
-    Simulator::Schedule(Seconds(8.0),
+    Simulator::Schedule(Seconds(8),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(8.0),
+    Simulator::Schedule(Seconds(8),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower - 3,
+                        rxPower - dB_u{3},
                         1000,
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(8.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(8) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(8.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(8) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 us
-    Simulator::Schedule(Seconds(8.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(8) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(8.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(8) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1328,44 +1329,44 @@
     // is higher than the threshold of 4 dB), but payload reception should fail (SNR too low to
     // decode the modulation).
 
-    Simulator::Schedule(Seconds(9.0),
+    Simulator::Schedule(Seconds(9),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(9.0),
+    Simulator::Schedule(Seconds(9),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower - 6,
+                        rxPower - dB_u{6},
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packets, PHY should be back to IDLE at time 152.8us.
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1382,34 +1383,34 @@
     // lower than the threshold of 4 dB), PHY state should be CCA_BUSY since the total energy is
     // above CCA-ED (-62 dBm).
 
-    Simulator::Schedule(Seconds(10.0),
+    Simulator::Schedule(Seconds(10),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(10.0),
+    Simulator::Schedule(Seconds(10),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(3.0),
+                        rxPower + dB_u{3.0},
                         1000,
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(10.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(10) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(10.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(10) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 us
-    Simulator::Schedule(Seconds(10.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(10) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(10.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(10) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1427,44 +1428,44 @@
     // which is higher than the threshold of 4 dB), Payload reception should fail (SNR too low to
     // decode the modulation).
 
-    Simulator::Schedule(Seconds(11.0),
+    Simulator::Schedule(Seconds(11),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(11.0),
+    Simulator::Schedule(Seconds(11),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 us
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -1476,13 +1477,13 @@
                         4);
 
     // CCA-PD < RX power < CCA-ED
-    rxPower = -70;
+    rxPower = dBm_u{-70};
 
     // CASE 12: send one packet and check PHY state:
     // All reception stages should succeed and PHY state should be RX for the duration of the packet
     // minus the time to detect the preamble, otherwise it should be IDLE.
 
-    Simulator::Schedule(Seconds(12.0),
+    Simulator::Schedule(Seconds(12),
                         &TestThresholdPreambleDetectionWithFrameCapture::SendPacket,
                         this,
                         rxPower,
